/**
 * 
 * @param {string} nodePath 
 */
function FindNode(nodePath){
    var regex = /\[(\d+)\]/;
    var eval_str = "";
    var paths = nodePath.split('.');
    for(let i=0;i<paths.length;i++){
        var path = paths[i];
        var matchs = path.match(regex);
        if(matchs){
            //能匹配上，是数组 matchs[1] 是数组序号
            eval_str+=matchs[0];
        }
        else{
            //是对象
            eval_str+=`.${path}`;
        }
    }
    return eval_str;
}

export {FindNode};